Multivariate Pattern Analysis in Python

# mvpa2.datasets.eep.DataReader

class `mvpa2.datasets.eep.``DataReader`

  Base class for data readers.

  Every subclass has to put all information into to variable:

  `self._data`: ndarray
    The data array has to have the samples separating dimension along the first axis.
  `self._props`: dict
    All other meaningful information has to be stored in a dictionary.

  This class provides two methods (and associated properties) to retrieve this information.

  Attributes

  `data` | Return the data array.
  `props` | Return the dictionary with the data properties.

  Initialize base class `DataReader` – no parameters.

  Attributes

  `data` | Return the data array.
  `props` | Return the dictionary with the data properties.

  `data`

    Return the data array.

  `props`

    Return the dictionary with the data properties.